package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.TestSqlserverAaa;


/**
*  Dao接口
*/
@DataSource("dataSourceSqlserver")
@Repository("com.zoumaframe.dao.TestSqlserverAaaMapper")
public interface TestSqlserverAaaMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(TestSqlserverAaa record);

    TestSqlserverAaa selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TestSqlserverAaa record);

    List<TestSqlserverAaa> queryAllTestSqlserverAaa(TestSqlserverAaa record);

    List<TestSqlserverAaa> queryTestSqlserverAaaByPage(Map<String, Object> parameter);

    int delete(String id);

    TestSqlserverAaa queryTestSqlserverAaa(TestSqlserverAaa record);

    List<TestSqlserverAaa> query(TestSqlserverAaa record);
}

